# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"
inherit eutils

DESCRIPTION="The gSOAP Web services development toolkit offers an XML to C/C++ language binding to ease the development of SOAP/XML Web services in C and C/C++."

HOMEPAGE="http://gsoap2.sourceforge.net"
SRC_URI="mirror://sourceforge/gsoap2/gsoap_${PV}.tar.gz"

IUSE="doc ssl"
DEPEND="sys-devel/bison
	sys-devel/flex
	ssl? ( >=dev-libs/openssl-0.9.6-r1 )"

LICENSE="GPL-2 gSOAP"
SLOT="0"

KEYWORDS="x86 ~amd64"

S="${WORKDIR}/gsoap-2.7"
MAKEOPTS="-j1"

src_configure() {
	econf $(use_enable ssl openssl) --disable-samples || die "configure failed"
}


src_install() {
	make DESTDIR=${D} install || die

	dodoc *.txt gsoap/*.txt gsoap/doc/*.txt
	if use doc; then
	    dodoc gsoap/*.pdf
	    dodoc gsoap/doc/*.pdf

	    dohtml gsoap/*.html

	    cd ${S}/gsoap/samples
	    for x in `find . -type d -print`; do
		cd ${S}
		dodir /usr/share/doc/${P}/samples/$x
	    done
	    cp -r gsoap/samples ${D}/usr/share/doc/${P}

	    cd ${S}/gsoap/doc
	    for x in `find . -type d -print`; do
		cd ${S}
		dodir /usr/share/doc/${P}/$x
		cp -r gsoap/doc/$x ${D}/usr/share/doc/${P}
	    done
	fi

	rm -rf ${D}/usr/share/doc/${P}/magic_VC ${D}/usr/share/doc/${P}/quote_VC

	dodir /usr/share/${PN}/import
	cd ${S}
	for x in stdsoap2.h stdsoap2.c stdsoap2.cpp WS/typemap.dat; do
	    cp ${S}/gsoap/$x ${D}/usr/share/${PN}
	done

	cd ${S}
	for x in gsoap/import/*; do
	    cp $x ${D}/usr/share/${PN}/import
	done
}
