# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"
WANT_AUTOMAKE=1.9
inherit mono eutils gnome2 autotools

DESCRIPTION="Novell iFolder"
HOMEPAGE="http://www.ifolder.com/"
SRC_URI="http://distfiles.one-gear.com/distfiles/${PN}${PV:0:1}-${PV}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~ppc ~amd64"
RESTRICT="mirror"

IUSE=""
DEPEND=">=dev-lang/mono-2.0
	>=dev-dotnet/gconf-sharp-2.0
	>=dev-dotnet/gnome-sharp-2.0
	>=dev-dotnet/gtk-sharp-2.0
	>=net-misc/simias-1.6
	>=net-libs/gsoap-2.7.1
	>=gnome-base/eel-2.12"

S="${WORKDIR}/${PN}"
MAKEOPTS="-j1"

src_prepare() {
	epatch "${FILESDIR}"/desktop-file-categories.patch  || die "Error applying patch"
	epatch "${FILESDIR}"/ifolder-mono22-1.patch
	epatch "${FILESDIR}"/ifolder-3.6.use_system_gsoap.patch
	epatch "${FILESDIR}"/ifolder-gnome-hack-1.patch
        eautoreconf || die "eautoreconf failed"
}

src_configure() {
        econf || die "configure failed"
}

src_install() {
        make DESTDIR=${D} install
}
