# Copyright 1999-2009 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"
WANT_AUTOMAKE=1.9
inherit eutils mono autotools

DESCRIPTION="Simias SimpleServer"
HOMEPAGE="http://www.ifolder.com/"
SRC_URI="http://distfiles.one-gear.com/distfiles/${P}.tar.gz"
RESTRICT="mirror"

SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~x86 ~ppc ~amd64"

DEPEND=">=dev-lang/mono-1.2.2.1
	>=dev-dotnet/xsp-1.2.1
	>=dev-dotnet/log4net-1.2.9
	>=dev-db/libflaim-4.9.617
	>=net-libs/gsoap-2.7.1
	!dev-dotnet/ifolder-server"



S=${WORKDIR}/${PN}
MAKEOPTS="-j1"

src_prepare() {
	epatch "${FILESDIR}"/configure.in-xsp-check-by-dl9pf-version3.diff
	epatch "${FILESDIR}"/simias-libtool22-1.patch
	epatch "${FILESDIR}"/simias-mono22-1.patch
	epatch "${FILESDIR}"/simias_make_gcc43_happy.diff
	epatch "${FILESDIR}"/simias-libflaim_shared-1.patch
	epatch "${FILESDIR}"/simias-1.6.use_system_gsoap.patch
	eautoreconf || die "eautoreconf failed"
}

src_configure() {
        econf --with-runasclient || die "configure failed"
}

src_install() {
	make DESTDIR=${D} install
}
